import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/link-box.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from "vue";
import { chakra } from "@chakra-ui/vue-system";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CLinkOverlay = defineComponent({
  name: "CLinkOverlay",
  props: {
    as: {
      type: [Object, String],
      default: "a"
    },
    isExternal: Boolean
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => _createVNode(chakra.div, _mergeProps({
      "as": props.as,
      "__label": "linkbox__overlay",
      "rel": props.isExternal ? "noopener noreferrer" : void 0,
      "target": props.isExternal ? "_blank" : void 0,
      "__css": {
        position: "static",
        "&::before": {
          content: "''",
          cursor: "inherit",
          display: "block",
          position: "absolute",
          top: 0,
          left: 0,
          zIndex: 0,
          width: "100%",
          height: "100%"
        }
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CLinkBox = defineComponent({
  name: "CLinkBox",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      return _createVNode(chakra.div, _mergeProps({
        "as": props.as,
        "__label": "linkbox",
        "position": "relative",
        "__css": {
          "a[href]:not(.chakra-linkbox__overlay), abbr[title]": {
            position: "relative",
            zIndex: 1
          }
        }
      }, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

export {
  CLinkOverlay,
  CLinkBox
};
